# Uses of Enum
org.eclipse.birt.chart.model.attribute.Direction

Packages that use Direction
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of Direction in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type Direction
Modifier and Type
Field
Description
`static final List<Direction>`
Direction.`VALUES`
A public read-only list of all the 'Direction' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return Direction
Modifier and Type
Method
Description
`static Direction`
Direction.`get(int value)`
Returns the 'Direction' literal with the specified integer value.
`static Direction`
Direction.`get(String literal)`
Returns the 'Direction' literal with the specified literal value.
`static Direction`
Direction.`getByName(String name)`
Returns the 'Direction' literal with the specified name.
`static Direction`
Direction.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Direction[]`
Direction.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Direction in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return Direction
Modifier and Type
Method
Description
`Direction`
AttributeFactoryImpl.`createDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Direction`
AttributeFactoryImpl.`createDirectionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of Direction in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Direction
Modifier and Type
Method
Description
`Direction`
Legend.`getDirection()`
Returns the value of the 'Direction' attribute.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Direction
Modifier and Type
Method
Description
`void`
Legend.`setDirection(Direction value)`
Sets the value of the '`Direction`' attribute.

## Uses of Direction in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Direction
Modifier and Type
Method
Description
`Direction`
LegendImpl.`getDirection()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Direction
Modifier and Type
Method
Description
`void`
LegendImpl.`setDirection(Direction newDirection)`